The `hduthesis` Class: LaTeX class for Hangzhou Dianzi University
=================================================================

LaTeX class for bachelor and mphil theses in Hangzhou Dianzi
University is constructed by `LaTeX-expl3`. This class provides typesets
for bachelors' and mphils' thesis in Hangzhou Dianzi University.

Modules of `hduThesiS` provide the following supports:

- `typeset`: Math and text Typeset

- `layout`: Some central layout typeset interfaces

- `bc.config`: Configuration for bachelor thesis' style

- `pg.config`: Configuration for mphil thesis' style

- `beamer`: HDU Beamer theme

- `stationery`: Creation of HDU's stationery

- `exam`: Typeset for HDU examinations' solution

- `l3doc`: Configuration for class's `l3doc` manual

Issues
------

The issue tracker for `hduthesis` is currently located
[on GitHub](https://github.com/myhsia/hduthesis/issues).

---

杭州电子科技大学学位论文 LaTeX 模板
==============================

杭州电子科技大学学位论文 LaTeX 模板以 `LaTeX-expl3` 构建，提供杭州电子科技大学学士和硕士学位论文格式.

`hduThesiS` 的模块提供以下支持：

- `typeset`: 数学和文本排版

- `layout`: 封面和浮动题布局

- `bc.config`: 学士论文格式配置

- `pg.config`: 硕士论文格式配置

- `beamer`: HDU Beamer 主题

- `stationery.config`: 学校信纸生成

- `exam`: HDU 试卷解析模板

- `hdu.l3doc`: 模板 `l3doc` 用户手册配置

---

References
----------

> \[1\]. The LaTeX3 Interfaces

> \[2\]. CTeX 宏集

> \[3\]. LaTeX for package and class authors current version

> \[4\]. The LaTeX2e Sources

> \[5\]. The LaTeX3 kernel: style guide for code authors

> \[6\]. Package `etoolbox`, `geometry`, `tocloft`, `fancyhdr`, etc.

> \[7\]. [毕业设计（论文）的写作规范及格式要求(含写作模板)](https://jwc.hdu.edu.cn/2022/0428/c4555a153813/page.htm)

> \[8\]. [杭州电子科技大学研究生学位论文格式统一要求（杭电研〔2012〕311号）](https://grs.hdu.edu.cn/2013/0507/c1730a51754/page.htm)

Copyright and License
---------------------

  Copyright (C) 2023-2025 by Mingyu Xia <myhsia@outlook.com>

  It may be distributed and/or modified under the conditions of the
  LaTeX Project Public License (LPPL), either version 1.3c of this
  license or (at your option) any later version. The latest version
  of this license is in the file <http://www.latex-project.org/lppl.txt>

  This work has the LPPL maintenance status `maintained`.

  The Current Maintainer of this work is Mingyu Xia.
